Package net.shibboleth.idp.plugin.authn.webauthn.storage

# Interface CredentialRecord.ITransportsStage

All Known Implementing Classes:
  `CredentialRecord.Builder`

Enclosing class:
  CredentialRecord

public static interface CredentialRecord.ITransportsStage
Builder stage.

## Method Summary

Modifier and Type
Method
Description
`CredentialRecord.IRegistrationTimeStage`
`withTransports(SortedSet<com.yubico.webauthn.data.AuthenticatorTransport> transports)`
Set the `transports` the authenticator can use to communicate with the client.

## Method Details

### withTransports

@Nonnull CredentialRecord.IRegistrationTimeStage withTransports(@Nonnull SortedSet<com.yubico.webauthn.data.AuthenticatorTransport> transports)
Set the `transports` the authenticator can use to communicate with the client.

Parameters:
  `transports` - the transports
Returns:
  the next builder stage